@import "../../scss/color";

.base-navbar-style {
  position: fixed;
  top: 0;
  right: 0;
  width: 100%;
  z-index: 99999;
}

.default {
  color: darkgray;
  @extend .base-navbar-style;
  background-color: rgba(77, 77, 77, 1);
}

.non-default {
  color: #eeeeee;
  @extend .base-navbar-style;
  .navbar-padding {
    padding: 10px 0;
  }
}

.navbar-padding {
  .nav-center {
    a {
      color: $white-color;
    }
  }
  .nav-left {
    .sign-btns {
      .signin-btn {
        color: $white-color;
        background-color: $aqua-color;
        border: 1px solid $aqua-color;
      }
      .signup-btn {
        border: 1px solid $white-color;
        color: $white-color;
      }
    }
  }
}
.scrolling-navbar-padding {
  background-color: $white;
  box-shadow: 0px 3px 3px #0000000a;
  padding: 3px 0 !important;
  .nav-right {
    div {
      width: 44px !important;
      height: 44px !important;
      margin-right: 6px !important;
    }
  }
  .nav-center {
    a {
      color: $black-color;
    }
  }
  .nav-left {
    .sign-btns {
      .signin-btn {
        color: $white-color;
        background-color: $aqua-color;
        border: 1px solid $aqua-color;
      }
      .signup-btn {
        border: 1px solid $black-color;
        color: $black-color;
      }
    }
    .profile-image {
      width: 44px !important;
      height: 44px !important;
      margin-left: 6px !important;
    }
  }
}

.navbar {
  width: 100%;
  transition: 0.5s ease-in-out all;
  font-size: 12px;
  font-weight: 500;
  padding: 7px 0;
  .nav {
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
  }
  .nav-right {
    margin: auto;
    div {
      width: 50px;
      height: 50px;
      transition: 0.3s all ease-in-out;
      img {
        width: 100%;
        height: 100%;
        object-fit: cover;
      }
    }
  }
  .nav-center {
    margin: auto;
    a {
      padding: 0 10px;
      text-decoration: none;
    }
  }
  .nav-left {
    margin: 4px auto 0 auto;
    .sign-btns {
      font-size: 12px;
      padding: 10px 0;
      .signin-btn {
        text-decoration: none;
        border-radius: 4px;
        margin: 2px 4px;
        padding: 7px 25px;
      }
      .signup-btn {
        text-decoration: none;
        border-radius: 4px;
        padding: 7px 17px;
        margin: 2px 4px;
      }
    }
    .profile-image {
      width: 47px;
      height: 47px;
      position: relative;
      transition: 0.3s all ease-in-out;
      cursor: pointer;
      img {
        width: 100%;
        height: 100%;
        object-fit: cover;
        border-radius: 50%;
        box-shadow: 1px 1px 10px #111111;
      }
      .profile-box {
        display: none;
        margin-top: 2px;
        background-color: $background-color;
        position: absolute;
        text-align: center;
        padding: 10px 0;
        right: -15px;
        width: 80px;
        height: 125px;
        box-shadow: 1px 1px 5px black;
        border-radius: 7px;
        color: $black-color;
        transition: 0.5s all;
        &::after {
          content: " ";
          position: absolute;
          left: 33px;
          top: -7px;
          border-top: none;
          border-right: 7px solid transparent;
          border-left: 7px solid transparent;
          border-bottom: 7px solid $background-color;
        }
        p {
          width: 85%;
          margin: 0 auto;
          border-bottom: 1px solid #cccccc;
          padding: 12px 0;
          &:first-child {
            padding: 6px 0 12px 0;
          }
          &:last-child {
            border-bottom: none;
            padding: 12px 0 6px 0;
          }
          a {
            cursor: pointer;
            font-size: 12px;
            color: $black-color;
            font-weight: bold;
            text-decoration: none;
          }
        }
      }
    }
  }
}

.silde-btn {
  position: absolute;
  top: 20px;
  left: 20px;
  display: none;
  border: 1px solid gray;
  border-radius: 20px;
  padding: 7px 9px;
  cursor: pointer;
}

.show-profile-box {
  display: block !important;
}

#profile-image {
  padding-bottom: 3px;
}

.scrolling-profile-box {
  right: -18px !important;
}

@media (max-width: 800px) {
  .silde-btn {
    display: block !important;
  }
  .navbar {
    padding: 0 !important;
  }
  .navbar-padding {
    padding: 0 !important;
  }
  .scrolling-navbar-padding {
    background-color: rgba(77, 77, 77, 1) !important;
    .nav {
      background-color: rgba(77, 77, 77, 1) !important;
    }
    .nav-center {
      a {
        color: $white-color !important;
      }
    }
    .nav-left {
      .sign-btns {
        .signin-btn {
          color: $white-color !important;
        }
        .signup-btn {
          color: $white-color !important;
          border-color: $white-color !important;
        }
      }
    }
    .silde-btn {
      fa-icon{
        color: $black-color !important;
      }
    }
  }
  .nav {
    padding: 10px 0 10px 0 !important;
    display: block !important;
    background-color: rgba(77, 77, 77, 1) !important;
    .nav-right {
      width: 100% !important;
      margin: auto !important;
      display: block !important;
      padding-right: 20px !important;
    }
    .nav-center {
      width: 100% !important;
      margin: auto !important;
      display: block !important;
      a {
        display: block !important;
        width: 50% !important;
        text-align: center !important;
        margin: auto !important;
        padding: 5px 0 !important;
      }
    }
    .nav-left {
      width: 100% !important;
      margin: auto !important;
      display: block !important;
      div {
        width: 100% !important;
        margin: auto !important;
        .sign-btns {
          display: flex !important;
          justify-content: space-between !important;
          a {
            width: 50% !important;
            text-align: center !important;
          }
        }
        .profile-image {
          width: 10% !important;
          margin: auto !important;
          .profile-box {
            width: 80px !important;
          }
        }
      }
    }
  }
  .inline-menu {
    display: none !important;
  }
}
